Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 743247 - dev-python/fcl-0.0.12 fails to link with LLD because of /usr/lib in the link command line
Summary: dev-python/fcl-0.0.12 fails to link with LLD because of /usr/lib in the link ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: 3D Printing Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-09-18 08:24 UTC by Agostino Sarubbo
Modified: 2020-12-12 15:09 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,10.29 KB, text/plain)
2020-09-18 08:24 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-09-18 08:24:50 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-python/fcl-0.0.12 fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-09-18 08:24:53 UTC
Created attachment 661095 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-09-18 08:24:55 UTC
Possible context of error(s):

ld.lld: error: /usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../lib64/crti.o is incompatible with elf_x86_64
Comment 3 Larry the Git Cow gentoo-dev 2020-12-12 15:09:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92df42df52f4313bf8263d91c1207253a779eb88

commit 92df42df52f4313bf8263d91c1207253a779eb88
Author:     Dennis Lamm <expeditioneer@gentoo.org>
AuthorDate: 2020-12-12 14:41:59 +0000
Commit:     Dennis Lamm <expeditioneer@gentoo.org>
CommitDate: 2020-12-12 15:09:10 +0000

    def-python/fcl: fixed linking with lld
    
    Closes: https://bugs.gentoo.org/743247
    Signed-off-by: Dennis Lamm <expeditioneer@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/18618
    Signed-off-by: Dennis Lamm <expeditioneer@gentoo.org>

 dev-python/fcl/fcl-0.0.12-r1.ebuild                        |  2 ++
 dev-python/fcl/files/fcl-0.0.12-fix-compiling-on-lld.patch | 12 ++++++++++++
 2 files changed, 14 insertions(+)